<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/leftGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_begin="?attr/screenMargin" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/rightGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_end="?attr/screenMargin" />

        <include
            android:id="@+id/toolbar"
            layout="@layout/include_top_appbar_sub" />

        <include
            android:id="@+id/loading"
            layout="@layout/include_progress_loader"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toolbar" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/txtTitle"
            style="@style/Styles.Text.LargeTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start|center"
            android:gravity="start|center"
            android:text="@string/new_email_address"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/toolbar" />


        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/txtDescription"
            style="@style/Styles.Text.Body"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginVertical="16dp"
            android:layout_marginEnd="8dp"
            android:gravity="start|center"
            android:text="@string/new_email_address_description"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/txtTitle" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/inputLayoutEmail"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="48dp"
            android:hint="@string/email_address"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/txtDescription">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputEmail"
                style="@style/Styles.Input.TextInputEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:imeOptions="actionGo"
                android:inputType="textEmailAddress"
                android:maxLines="1">

                <requestFocus />
            </com.google.android.material.textfield.TextInputEditText>
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btnContinue"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:layout_marginBottom="16dp"
            android:enabled="false"
            android:text="@string/continue_string"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            tools:enabled="true" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>